> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pacifica.fi/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Prices

> This endpoint allows users to get price information for all symbols, including mark prices, funding rates, and market statistics.

```http theme={null}
GET /api/v1/info/prices
```

#### Response

* Status 200: Success

```json theme={null}
 {
  "success": true,
  "data": [
    {
      "funding": "0.00010529",
      "mark": "1.084819",
      "mid": "1.08615",
      "next_funding": "0.00011096",
      "open_interest": "3634796",
      "oracle": "1.084524",
      "symbol": "XPL",
      "timestamp": 1759222967974,
      "volume_24h": "20896698.0672",
      "yesterday_price": "1.3412"
    }
  ],
  "error": null,
  "code": null
}
```

<table><thead><tr><th width="208">Field</th><th width="186">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>"funding"</code></td><td>decimal string</td><td>funding rate paid in the past funding epoch (hour)</td></tr><tr><td><code>"mark"</code></td><td>decimal string</td><td>Mark price, as defined above</td></tr><tr><td><code>"mid"</code></td><td>decimal string</td><td>Mid price, defined as the average of the best bid and best ask price</td></tr><tr><td><code>"next\_funding"</code></td><td>decimal string</td><td>estimated funding rate to be paid in the next funding epoch (hour)</td></tr><tr><td><code>"open\_interest"</code></td><td>decimal string</td><td>The current open interest on this symbol (in USD)</td></tr><tr><td><code>"oracle"</code></td><td>decimal string</td><td>Oracle price, as defined above</td></tr><tr><td><code>"symbol"</code></td><td>string</td><td>Trading pair symbol</td></tr><tr><td><code>"timestamp"</code></td><td>integer</td><td>Timestamp in Milliseconds</td></tr><tr><td><code>"volume\_24h"</code></td><td>decimal string</td><td>Volume (USD) of this market in the past 24 hours</td></tr><tr><td><code>"yesterday\_price"</code></td><td>decimal string</td><td>Oracle price of this market 24 hours ago (USD)</td></tr></tbody></table>

* Status 404: No prices data available
* Status 500: Internal server error

#### Code Example (Python)

```python theme={null}
import requests

response = requests.get(
    "/api/v1/info/prices",
    headers={"Accept": "*/*"},
)

data = response.json()
```
